Skip to main content
PUT
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
karpenterPrivateSubnetIds
Update karpenter private fargate subnet ids
curl --request PUT \
  --url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/karpenterPrivateSubnetIds \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eks_karpenter_fargate_subnets_zone_a_ids": [
    "<string>"
  ],
  "eks_karpenter_fargate_subnets_zone_b_ids": [
    "<string>"
  ],
  "eks_karpenter_fargate_subnets_zone_c_ids": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Body

application/json
eks_karpenter_fargate_subnets_zone_a_ids
string[]
eks_karpenter_fargate_subnets_zone_b_ids
string[]
eks_karpenter_fargate_subnets_zone_c_ids
string[]

Response

Updated